declare namespace Definitions {
    /**
     * Account
     */
    export interface Account {
        /**
         * bskId
         */
        bskId: number;
        /**
         * extReference
         */
        extReference?: string;
        /**
         * billCycleCd
         */
        billCycleCd?: 12 | 6 | 4 | 2 | 1;
        /**
         * billDetailInd
         */
        billDetailInd?: "Y" | "N";
        /**
         * comments
         */
        comments?: {
            /**
             * comment
             */
            comment?: /* Comment */ Comment[];
        };
    }
    /**
     * AccountSearchCriteria
     */
    export interface AccountSearchCriteria {
        /**
         * bskId
         */
        bskId: number;
        /**
         * managedIndicator
         */
        managedIndicator?: "Y" | "N";
        /**
         * activIndicator
         */
        activIndicator?: "Y" | "N";
    }
    /**
     * Comment
     */
    export interface Comment {
        /**
         * commentCd
         */
        commentCd: 1 | 2 | 3 | 4;
        /**
         * comment1
         */
        comment1: string;
        /**
         * comment2
         */
        comment2?: string;
    }
    /**
     * Comments
     */
    export interface Comments {
        /**
         * comment
         */
        comment?: /* Comment */ Comment[];
    }
    /**
     * GetBillAccount
     */
    export interface GetBillAccount {
        /**
         * accountId
         */
        accountId: number;
        /**
         * refDate
         */
        refDate?: string;
        /**
         * msgId
         */
        msgId: string;
    }
    /**
     * GetBillAccountResponse
     */
    export interface GetBillAccountResponse {
        /**
         * account
         */
        account?: {
            /**
             * bskId
             */
            bskId: any;
            /**
             * extReference
             */
            extReference?: any;
            /**
             * billCycleCd
             */
            billCycleCd?: any;
            /**
             * billDetailInd
             */
            billDetailInd?: any;
            /**
             * comments
             */
            comments?: any;
        };
    }
    /**
     * SearchBillAccount
     */
    export interface SearchBillAccount {
        /**
         * accountSearchCriteria
         */
        accountSearchCriteria: {
            /**
             * bskId
             */
            bskId: any;
            /**
             * managedIndicator
             */
            managedIndicator?: any;
            /**
             * activIndicator
             */
            activIndicator?: any;
        };
        /**
         * refDate
         */
        refDate?: string;
        /**
         * msgId
         */
        msgId: string;
    }
    /**
     * SearchBillAccountResponse
     */
    export interface SearchBillAccountResponse {
        /**
         * account
         */
        account?: /* Account */ Account[];
    }
    export type YesNoIndicator = "Y" | "N";
}

